import request from '@/benyun/utils/request'

//查询数据
export function query(params:any,data?:any) {
	return request({
		url: '/omsOrder/omsOrder/query',
		method: 'POST',
		params:params,
		data: data
	})
}
//获取地址
export function getProvince(data:any){
	return request({
		url:'/omsOrder/omsArea/getByParentCode',
		method:'Get',
		params:data
	})
}
//手工添加订单
export function addOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/manual',
		method: 'POST',
		data: data
	})
}
//保存订单基本信息
export function saveBaseOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/updateInfo',
		method: 'POST',
		data: data
	})
}
//提交
export function smt(data:any){
	return request({
		url: '/omsOrder/omsOrder/submit',
		method: 'POST',
		params: data
	})
}
//反提交
export function unSmt(data:any){
	return request({
		url: '/omsOrder/omsOrder/unSubmit',
		method: 'POST',
		params: data
	})
}
//获取单条订单
export function getSingleData(params:any){
	return request({
    url: '/omsOrder/omsOrder/single/',
		params:params,
    method: 'GET'
  })
}
//下载订单
export function pullOrder(data:any){
	return request({
		url: '/omsOrder/omsOrder/pullOrder',
		method: 'POST',
		data: data
	})
}
//生成采购单之前获取可采购数量
export function purchaseQty(params:any){
	return request({
		url:'/omsOrder/omsOrder/purchaseQty',
		method:'Get',
		params:params
	})
}
//生成采购单
export function toPurchaseOrder(data:any){
	return request({
		url:'/omsOrder/omsOrder/toPurchaseOrder',
		method:'POST',
		data:data
	})
}
//合并订单
export function merge(params:any){
	return request({
		url:'/omsOrder/omsOrder/merge',
		method:'POST',
		params:params
	})
}
//已拆分数量
export function splitQtyQuery(params:any){
	return request({
		url:'/omsOrder/omsOrder/splitQtyQuery',
		method:'Get',
		params:params
	})
}
//拆分
export function split(data:any){
	return request({
		url:'/omsOrder/omsOrder/split',
		method:'POST',
		data:data
	})
}
//取消订单
export function cancelOrder(data:any){
	return request({
		url:'/omsOrder/omsOrder/cancel',
		method:'POST',
		data:data
	})
}
//反取消订单
export function unCancel(data:any){
	return request({
		url:'/omsOrder/omsOrder/unCancel',
		method:'POST',
		params:data
	})
}